Open main menu

İndir

This page is a translated version of the page Download and the translation is 85% complete.

Outdated translations are marked like this.
Other languages:
Bahasa Banjar • ‎Bahasa Indonesia • ‎Bahasa Melayu • ‎Basa Banyumasan • ‎Cymraeg • ‎Deutsch • ‎English • ‎Hausa • ‎Ido • ‎Lëtzebuergesch • ‎Mirandés • ‎Nederlands • ‎Scots • ‎Tagalog • ‎Taqbaylit • ‎Tarifit • ‎Tiếng Việt • ‎Türkçe • ‎Zazaki • ‎aragonés • ‎bosanski • ‎brezhoneg • ‎català • ‎dansk • ‎eesti • ‎español • ‎euskara • ‎français • ‎galego • ‎hrvatski • ‎interlingua • ‎italiano • ‎lietuvių • ‎magyar • ‎norsk bokmål • ‎occitan • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎slovenčina • ‎slovenščina • ‎suomi • ‎svenska • ‎čeština • ‎Ελληνικά • ‎беларуская • ‎български • ‎русский • ‎српски / srpski • ‎татарча/tatarça • ‎українська • ‎հայերեն • ‎עברית • ‎ئۇيغۇرچە / Uyghurche • ‎العربية • ‎جهلسری بلوچی • ‎سنڌي • ‎فارسی • ‎پښتو • ‎کوردی • ‎अङ्गिका • ‎नेपाली • ‎मराठी • ‎मैथिली • ‎हिन्दी • ‎বাংলা • ‎মেইতেই লোন্ • ‎தமிழ் • ‎ಕನ್ನಡ • ‎മലയാളം • ‎සිංහල • ‎ไทย • ‎ဘာသာ မန် • ‎မြန်မာဘာသာ • ‎ქართული • ‎ភាសាខ្មែរ • ‎中文 • ‎吴语 • ‎日本語 • ‎粵語 • ‎조선말 • ‎한국어

En son sürüm

 
MediaWiki'ye Temel Giriş

Bu bir .tar.gz dosyasıdır. Windows kullanıyorsanız sıkıştırmak için 7-Zip kullanabilirsiniz.


Lisans

MediaWiki, GNU Genel Kamu Lisansı'nın 2. versiyonu altında lisanslanan ücretsiz bir yazılımdır. MediaWiki ücretsiz lisanslandığından yürürlükteki yasaların izin verdiği ölçüde hiçbir garanti verilmemektedir. Ayrıntılar için GNU GPL sürüm 2'nin tam metnini okuyun.

Sistem gereksinimleri

MediaWiki, PHP 7.0.0+ ve MySQL 5.5.8+, MariaDB veya diğer üç olası mağazadan birine ihtiyaç duymaktadır. Daha fazla bilgi için lütfen sistem gereksinimleri ve uyumluluk ile ilgili sayfaları okuyun.

Diğer indirmeler

Onun yerine Git'den indirin

Aktif MediaWiki geliştiricileri, MediaWiki yazılımının en son sürümünü almak için Git sayfasından indirmelidir. Git deposu, yazılımın daha önceki sürümlerine sahiptir bu nedenle belirli bir sürüme geçmek ("check out") mümkündür.

Notlar

PHP'nin register_globals yönergesine yönelik destek MediaWiki 1.24 tarihinden itibaren kaldırılmıştır. Sunucunuzda PHP 5.4 veya daha yeni bir sürümü kuruluysa bunun için endişelenmeniz gerekmez. PHP 5.3 ya da daha önceki sürüme sahipseniz bu yönergenin kapalı olduğundan emin olun. Eğer register_globals sisteminizde kapatamazsanız MediaWiki 1.23.9 kullanabilirsiniz (indir).

MySQL/MariaDB 5 desteği MediaWiki 1.19 beridir istenmektedir. MySQL'in eski bir sürümünü kullanıyorsanız ve yükseltemiyorsanız MediaWiki 1.18.6'yı kullanabilirsiniz (indir). Not: Bu sürüm artık desteklenmiyor.

Elle kurulum için seçenekler

Bazı kullanıcılar, önceden entegre edilmiş bir MediaWiki yazılım cihazı veya barındırma hizmetleri kullanarak manuel kurulumu atlamayı tercih edebilir; Depoların bazı depolarında MediaWiki için frekans ve uzantı kapsamı farklı olan (örneğin Debian, Ubuntu, Fedora, Gentoo) paketler giderek artmaktadır.

Sıradaki Ne?

Sürümlerle güncel kalın ve sunucunuzu güvende tutun!

Resmi sürümler

MediaWiki kurulumunuz yoğun şekilde değiştirilmişse en son resmî değişiklikler/güncellemeleri MediaWiki'ye eklemek zor olabilir. Bu tür kullanıcıları desteklemek için eski sürüm için bir yıla kadar ve eski uzun vadeli destek sürümü için üç yıla kadar kodumuzun eski dallarını koruyoruz.

Geliştirme sürümleri

En yeni geliştirme (yani alfa) sürümünü çalıştırmak isterseniz Hourlies ya da Git sayfalarından indirebilirsiniz.

Git üzerinden "komple depoyu" (about 528 MiB)

git clone https://gerrit.wikimedia.org/r/mediawiki/core.git

ya da sadece en son revizyonu (yaklaşık 85 MiB; buna genellikle sığ klon denir: daha az zaman ve daha küçük indirme) indirebilirsiniz

[1]

git clone --depth 1 https://gerrit.wikimedia.org/r/mediawiki/core.git

Ayrıca en güncel kaynak kodunu tarayıcınızda görüntüleyebilirsiniz.

Resmi sürümler

MediaWiki'nin tüm sürümlerinin tarball'larını (*.tar.gz uzantılı) MediaWiki indirme arşivlerinde Mart 2005'ten (en eski olan MediaWiki 1.3.11) itibaren olanları bulabilirsiniz.

Eski sürümler dahil olmak üzere hepsine göz atmak için Git deposunun etiketlerine bakın.

Kurulum Yardımı

Kaynaklar

  1. Bu, daha sonrac shallow clone/sığ klonu yükseltmek için git pullu kullandığınızda başvuru sorunlarına neden olabilir ve daha yeni düzeltme henüz sisteminize indirilmemiş eski revizyonları ifade eder. Böyle bir durumda daha fazlasını indirebilirsiniz -derinlik değerini artırın- ya da daha sonra tüm düzeltmeleri daha sonradan sığ bir klon haline getirebilirsiniz.

Ayrıca bakınız